orte/mca/gpr/replica/api_layer/gpr_replica_dump_api.c File Reference.TH "orte/mca/gpr/replica/api_layer/gpr_replica_dump_api.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/replica/api_layer/gpr_replica_dump_api.c \- The Open MPI general purpose registry - implementation. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'dps/dps.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'util/proc_info.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/gpr/replica/api_layer/gpr_replica_api.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_replica_dump_all\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_segments\fP (char *segment, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_triggers\fP (orte_gpr_trigger_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_subscriptions\fP (orte_gpr_subscription_id_t start, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_trigger\fP (char *name, orte_gpr_trigger_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_a_subscription\fP (char *name, orte_gpr_subscription_id_t id, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_callbacks\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_notify_msg\fP (orte_gpr_notify_message_t *msg, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_notify_data\fP (\fBorte_gpr_notify_data_t\fP *data, int output_id)"
.br
.ti -1c
.RI "int \fBorte_gpr_replica_dump_value\fP (\fBorte_gpr_value_t\fP *value, int output_id)"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI general purpose registry - implementation. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
